#define MIX_FUNCTIONS_CPP_
#include "Functions.h"


namespace MiX{
  template <class charT,class char_traits,class xml_traits>
  bool NodeNameChecker<charT,char_traits,xml_traits>::operator()(argument_type node)const{
    const NamedNode<charT,char_traits,xml_traits>* nn = dynamic_cast<const NamedNode<charT,char_traits,xml_traits>*>(node);
    if(nn==0) return false;
    return name_==nn->getName();
  }
}
